Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.constructionheuristic.placer.entity
Class QueuedEntityPlacerConfig

    java.lang.Object
      org.drools.planner.config.constructionheuristic.placer.PlacerConfig
          org.drools.planner.config.constructionheuristic.placer.entity.EntityPlacerConfig
              org.drools.planner.config.constructionheuristic.placer.entity.QueuedEntityPlacerConfig

    public class QueuedEntityPlacerConfig

extends EntityPlacerConfig

Field Summary
`protected EntitySelectorConfig` | `entitySelectorConfig`
`protected ValuePlacerConfig` | `valuePlacerConfig`

Constructor Summary
`QueuedEntityPlacerConfig()`

Method Summary
`QueuedEntityPlacer` | `buildEntityPlacer(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, Termination phaseTermination)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`ValuePlacerConfig` | `getValuePlacerConfig()`
`void` | `inherit(QueuedEntityPlacerConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`void` | `setValuePlacerConfig(ValuePlacerConfig valuePlacerConfig)`
`String` | `toString()`

Methods inherited from class org.drools.planner.config.constructionheuristic.placer.entity.EntityPlacerConfig
`inherit`

Methods inherited from class org.drools.planner.config.constructionheuristic.placer.PlacerConfig
`inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entitySelectorConfig

    protected EntitySelectorConfig entitySelectorConfig

### valuePlacerConfig

    protected ValuePlacerConfig valuePlacerConfig

Constructor Detail

### QueuedEntityPlacerConfig

    public QueuedEntityPlacerConfig()

Method Detail

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### getValuePlacerConfig

    public ValuePlacerConfig getValuePlacerConfig()

### setValuePlacerConfig

    public void setValuePlacerConfig(ValuePlacerConfig valuePlacerConfig)

### buildEntityPlacer

    public QueuedEntityPlacer buildEntityPlacer(EnvironmentMode environmentMode,
                                                SolutionDescriptor solutionDescriptor,
                                                Termination phaseTermination)

  Specified by:
    `buildEntityPlacer` in class `EntityPlacerConfig`

### inherit

    public void inherit(QueuedEntityPlacerConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `PlacerConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.